@charset "utf-8";
/* CSS Document */

body
{
	background: #EFEFEF;
	color: #26282A;
}

#navbar, #sidebar
{
	background-color: #EAEDF0!important;
	color: #646D78!important;
	border-color: #C4C4C4!important;
}

a.card:hover
{
	border-color: #B3B3B3;
}

a, a:visited, a:hover
{
	color: #831313;
}

.nav-link, a.dropdown-item, a.nav-link
{
	color: #26282A;
}

.nav-link:hover:not(.no-hover)
{
	background-color: rgba(134,15,15,0.05);
	color: #831313;
}

#navbar .nav-link:hover:not(.no-hover)
{
	background-color: rgba(60,60,60,0.05);
}

.nav-item.active .nav-link, .nav-link.active, .icon-background.bg-primary
{
	background-color: rgba(134,15,15,0.10)!important;
	color: #831313!important;
}

.card, .card-header, .card-footer, .nav.nav-card .nav-link.active, .table
{
	border-color: #C4C4C4;
}

.nav-title, .nav-title:hover
{
	color: rgba(38,40,42,0.5);
}

.nav.nav-card .nav-link
{
	color: rgba(0,0,0,0.6);
}

.nav.nav-card .nav-link:hover
{
	background-color: rgba(60,60,60,0.05);
}

.nav.nav-card .nav-link.active
{
	color: #26282A;
	border-width: 1px;
	border-style: solid;
}

a.btn-primary,  a.btn-success,  a.btn-icon,  a.btn-danger, .btn-outline-success:hover, .btn-outline-primary:hover, .btn-blue, .btn-outline-blue:hover
{
	color: #E1E1E1;
}

input[type="text"].form-control, input[type="number"].form-control, input[type="password"].form-control, .input-group-text, .form-control:focus
{
	background: #f8f8f8;
	border-color: #ced4da;
}

.nav-pills-subtle .nav-link
{
	color: #666;
}

.nav-pills-subtle .nav-link:hover
{
	background-color: rgba(50,50,50,0.05);
}

.nav-pills-subtle .nav-link.active
{
	background-color: rgba(0,0,0,0.1);
	color: #333;
}

.navbar-searchbar input, .navbar-searchbar input.form-control:focus
{
	background-color: #D4D4D4;
	border-color: #D4D4D4;
}

.navbar-searchbar .input-group-text
{
	background-color: #D4D4D4;
	border-color: #D4D4D4;
	color: rgba(0,0,0,0.4);
}

thead, tfoot
{
	color: rgba(0,0,0,0.6);
	border: 1px solid #C4C4C4;
	background-color: #D5D5D5;		
}

tr
{
	border-color: #C4C4C4;
}

.modal-backdrop.show
{
	background: #000000;
	opacity: 0.8;
}

.dropdown-item:hover
{
	background-color: rgba(0,0,0,0.03);
}

.page-link
{
	background: #EAEDF0;
	border-color: rgba(38,40,42,0.1);
	color: rgba(38,40,42,0.7);	
}

.page-item.disabled .page-link
{
	background: #EAEDF0;
	border-color: rgba(38,40,42,0.1);
	color: rgba(38,40,42,0.4);
}

.page-item.active .page-link
{
	color: #fff;
}

.border, .border-bottom, .border-top, .border-start, .border-end
{
	border-color: #C4C4C4;
}

/* DARK SIDEBAR */
body.dark-sidebar #sidebar .nav-link
{
	color: rgba(255,255,255,0.85);
}

body.dark-sidebar #sidebar .nav-link:hover
{
	background-color: rgba(255,255,255,0.03);
}

body.dark-sidebar #sidebar .nav-link.active
{
	color: rgba(255,255,255,1);
	background-color: rgba(255,255,255,0.1);
	border: 1px solid rgba(255,255,255,0.15);
}

 body.dark-sidebar .nav-title
{
	color: rgba(255,255,255,0.5);
}

/* Select2 Dropdown Styling */
.select2-results__option--selectable:hover
{
	background: rgba(0,0,0,0.1);
	color: rgba(0,0,0,0.7);
}

.select2-results__option--selected, .select2-results__option--selected:hover
{
	background-color: #831313;
	color: #f8f8f8;
}

/* PRIMARY - #831313 */
.bg-primary, .btn-primary, .form-check-input:checked, body.dark-sidebar #sidebar, .active>.page-link, .page-link.active, .btn-outline-primary:hover, .input-group-text.bg-primary
{
	background-color: #831313!important;
}

/* Datepicker active day */
.flatpickr-day.selected, .flatpickr-day.startRange, .flatpickr-day.endRange, .flatpickr-day.selected.inRange, .flatpickr-day.startRange.inRange, .flatpickr-day.endRange.inRange, .flatpickr-day.selected:focus, .flatpickr-day.startRange:focus, .flatpickr-day.endRange:focus, .flatpickr-day.selected:hover, .flatpickr-day.startRange:hover, .flatpickr-day.endRange:hover, .flatpickr-day.selected.prevMonthDay, .flatpickr-day.startRange.prevMonthDay, .flatpickr-day.endRange.prevMonthDay, .flatpickr-day.selected.nextMonthDay, .flatpickr-day.startRange.nextMonthDay, .flatpickr-day.endRange.nextMonthDay
{
	background-color: #831313!important;
	border-color: #831313!important;
}

.badge.bg-primary
{
	background-color: #831313!important;
	background: #831313!important;
}

.btn-primary:hover
{
	background-color: #9A2121!important;
}

.bg-primary .badge.bg-primary, .btn-primary .badge.bg-primary
{
	color: #f8f8f8!important;
	background-color: rgba(255,255,255,0.2)!important;
}

#sidebar .nav-link.active
{
	color: rgba(134,15,15,0.85)!important;
	border-color: rgba(134,15,15,0.15)!important;
}

.text-primary, body.dark-sidebar .badge.bg-primary, .btn-outline-primary
{
	color: #831313!important;
}

.border-primary, .btn-primary, .form-check-input:checked, .active>.page-link, .page-link.active, .btn-outline-primary
{
	border-color: #831313!important;
}

/* SECONDARY - #f8fafc */
.bg-secondary, tbody, body.dark-sidebar .badge.bg-primary, .nav-btns 
{
	background-color: #EFEFEF!important;
}

.btn-secondary
{
	background: #F8F8F8!important;
}

.text-body, .btn-secondary, a.btn-secondary, .btn-secondary:hover
{
	color: #363A3D!important;
}

.border-secondary, .btn-secondary, body.dark-sidebar .badge.bg-primary
{
	border-color: #d8d8d8!important;
}

.nav-btns 
{
	border: 1px solid #DFDFDF;	
}

.btn-secondary:hover
{
	background-color: #E4E4E4!important;
	border-color: #CCC!important;
}

.chat-inbox-chat:hover
{
	background-color: rgba(50,50,50,0.05);	
}

.chat-inbox-chat.unread
{
	background-color: #F1f1f1!important;
	font-weight: bold;
}

.icon-background.bg-secondary, .icon-background.bg-muted, .badge-dateclock
{
	background-color: rgba(60,60,60,0.07)!important;
	color: #5A5A5A!important;	
}

.badge.bg-muted-glass /* lighter than secondary below */
{
	background-color: rgba(120,120,120,0.10);
	color: #666666;
	border: 1px solid #666666;
}

.badge.bg-secondary-glass
{
	background-color: rgba(120,120,120,0.10);
	color: #333333;
	border: 1px solid #333333;
}

/* Optional: border outline to match Bootstrap border */
.chat-message-me > .col:first-child::before {
    border-left: 9px solid #c8c8c8;
}

/* Optional: border outline to match Bootstrap border */
.chat-message-other > .col:first-child::before {
    border-right: 9px solid #c8c8c8;
}

/* INFO */
.bg-info, .btn-info
{
	background-color: #2980b9!important;
}

.text-info
{
	color: #2980b9!important;
}

.badge.bg-info-glass
{
	background-color: rgba(41,128,185,0.1);
	color: #2980b9!important;
	border: 1px solid #2980b9!important;
}

.icon-background.bg-info
{
	background-color: rgba(41,128,185,0.3)!important;
	color: #2980b9!important;	
}

table tr.priority-movement-tr td
{
	background-color: rgba(237,155,0,0.1)!important;
}

/* WARNING - # */
.alert-warning-glass
{
	background-color: #E7D2AC!important;
	color: #4A3410!important;
	border: 1px solid #7A5A1F!important;
}

.alert-warning-glass .text-warning
{
	color: #4A3410!important;
}

/* SUCCESS - ##27ae60 */
.bg-success, .btn-success, .btn-outline-success:hover, .movement-timeline-card.bg-success .card-body
{
	background-color: #27ae60!important;
}

.btn-success:hover
{
	background-color: #2FBC6A!important;
}

.bg-success-light
{
	background-color: #10b981!important;
}

.text-success, .btn-outline-success
{
	color: #27ae60!important;
}

.text-success-light
{
	color: #10b981!important;
}

.icon-background.bg-success
{
	background-color: rgba(39,174,96,0.3)!important;
	color: #27ae60!important;
}

.badge.bg-success-glass
{
	background-color: rgba(39,174,96,0.1)!important;
	color: #27ae60!important;
	border: 1px solid #27ae60!important;
}

.alert-success-glass
{
	background-color: #D2E9D3!important;
	color: #1F5E2E!important;
	border: 1px solid #1F5E2E!important;
}

.alert-success-glass .text-success
{
	color: #1F5E2E!important;	
}

.border-success, .btn-success, .btn-outline-success
{
	border-color: #27ae60!important;
}

/* DANGER - ##27ae60 */
.bg-danger
{
	background-color: #ef4444!important;
}

.text-danger
{
	color: #ef4444!important;
}

.border-danger, a.card.bg-danger:hover
{
	border-color: #ef4444!important;
}

.icon-background.bg-danger
{
	background-color: rgba(239,68,68,0.3)!important;
	color: #ef4444!important;
}

a.card.bg-danger:hover
{
	background-color: #F15252!important;
}

.badge.bg-danger-glass, .alert-danger-gloss
{
	background-color: rgba(239,68,68,0.2)!important;
	color: #ef4444!important;
	border: 1px solid #ef4444!important;
}

.alert-danger-glass
{
	background-color: #edbfbf!important;
	color: #633232!important;
	border: 1px solid #633232!important;
}

.alert-danger-glass .text-danger
{
	color: #633232!important;
}

/* LIGHT */
.icon-background.bg-light
{
	color: #EAEDF0!important;
	background-color: rgba(234,237,240,0.2)!important;
}

.bg-light, .table-minimal td, .nav.nav-card .nav-link.active, .btn-light
{
	background-color: #f8fafc!important;	
}

/* Speech bubble arrow (right side) */
.chat-message-me > .col:first-child::after {
    border-left: 8px solid #f8fafc!important; /* matches bg-light */
}

.chat-message-other > .message-bubble::after {
    border-right: 8px solid #f8fafc!important; /* matches bg-light */
}

.table-minimal tbody tr:hover td, .table-hover tbody tr:hover td
{
	background-color: #F0F1F3!important;	
}

.table-minimal tfoot td, .table-minimal thead th
{
	background-color: #F0F1F3!important;	
}

.table-hover tfoot td, .table-hover thead th
{
	background-color: #E4E4E4!important;	
}

.text-light, .btn-outline-blue:hover
{
	color: #EAEDF0!important;	
}

.btn-light-glass, .btn-glass
{
	color: #EAEDF0!important;
	background-color: rgba(234,237,240,0.15)!important;
}

.btn-light-glass:hover, .btn-glass:hover
{
	color: #EAEDF0!important;
	background-color: rgba(234,237,240,0.25)!important;
}

.btn-light
{
	border-color: #d8d8d8!important;	
	color: #333333!important;	
}

/* BLUE - #4f46e5 */
.bg-blue, .btn-outline-blue:hover, .btn-blue
{
	background-color: #4f46e5!important;
}

.text-blue, .btn-outline-blue
{
	color: #4f46e5!important;
}

.border-blue, .btn-outline-blue, .btn-blue
{
	border-color: #4f46e5!important;
}

.chat-message-other .message-bubble::before {
    border-right: 9px solid #4f46e5; /* matches Bootstrap border */
}

/* Fill layer (actual bubble color) */
.chat-message-other .message-bubble::after {
    border-right: 8px solid #4f46e5; /* or your bubble bg */
}

.badge.bg-blue-glass
{
	background-color: rgba(79,70,229,0.1)!important;
	color: #4f46e5!important;
	border: 1px solid #4f46e5!important;
}

.icon-background.bg-blue
{
	background-color: rgba(79,70,229,0.2)!important;
	color: #4f46e5!important;
}

/* WARNING */
.badge.bg-warning-glass
{
	background-color: rgba(203,121,40,0.10)!important;
	color: #5B2915!important;
	border: 1px solid #5B2915!important;
}

.movement-timeline-card .card-body, .movement-timeline-card
{
	background-color: #dddddd;
	color: #333333;
}

.text-yellow
{
	color: #f1c40f!important;
}